package com.shzg.project.worn.mapper;

import java.util.List;
import com.shzg.project.worn.domain.WornTechnicalAppraisal;

/**
 * 技术鉴定Mapper接口
 * 
 * @author shzg
 * @date 2026-04-10
 */
public interface WornTechnicalAppraisalMapper 
{
    /**
     * 查询技术鉴定
     * 
     * @param id 技术鉴定主键
     * @return 技术鉴定
     */
    public WornTechnicalAppraisal selectWornTechnicalAppraisalById(Long id);

    /**
     * 查询技术鉴定列表
     * 
     * @param wornTechnicalAppraisal 技术鉴定
     * @return 技术鉴定集合
     */
    public List<WornTechnicalAppraisal> selectWornTechnicalAppraisalList(WornTechnicalAppraisal wornTechnicalAppraisal);

    /**
     * 新增技术鉴定
     * 
     * @param wornTechnicalAppraisal 技术鉴定
     * @return 结果
     */
    public int insertWornTechnicalAppraisal(WornTechnicalAppraisal wornTechnicalAppraisal);

    /**
     * 修改技术鉴定
     * 
     * @param wornTechnicalAppraisal 技术鉴定
     * @return 结果
     */
    public int updateWornTechnicalAppraisal(WornTechnicalAppraisal wornTechnicalAppraisal);
    int removeWornTechnicalAppraisalById(WornTechnicalAppraisal wornTechnicalAppraisal);
    /**
     * 删除技术鉴定
     * 
     * @param id 技术鉴定主键
     * @return 结果
     */
    public int deleteWornTechnicalAppraisalById(Long id);

    /**
     * 批量删除技术鉴定
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWornTechnicalAppraisalByIds(Long[] ids);
    /**
     * 查询我上传的技术鉴定表列表
     *
     * @param wornTechnicalAppraisal 查询条件
     * @return 列表
     */
    List<WornTechnicalAppraisal> selectMyTechnicalAppraisalList(WornTechnicalAppraisal wornTechnicalAppraisal);
}
